const getUserId = async () => {
    const interval = setInterval(async () => {
        const user = await wp.data.select("core").getCurrentUser();

        if (user.hasOwnProperty("id")) {
            clearInterval(interval);

            callback(user);
        }
    });
};

const callback = (user) => {
    const userId = user.id;
    const preferenceKey = `WP_PREFERENCES_USER_${userId}`;

    // Check if the user has already set the preference
    const getGutenbergPreferences = localStorage.getItem(preferenceKey);

    if (getGutenbergPreferences) {
        const preferences = JSON.parse(getGutenbergPreferences);
        if (preferences["core/edit-post"].fullscreenMode) {
            return;
        }
    }

    if (wp && wp.data && wp.data.dispatch) {
        // wp.data.dispatch("core/edit-post").toggleFeature("fullscreenMode");
        const guideIsActive = wp.data.select("core/edit-post").isFeatureActive("welcomeGuide");
        const isFullscreenMode = wp.data.select("core/edit-post").isFeatureActive("fullscreenMode");

        if (guideIsActive) {
            wp.data.dispatch("core/edit-post").toggleFeature("welcomeGuide");
        }

        if (isFullscreenMode) {
            wp.data.dispatch("core/edit-post").toggleFeature("fullscreenMode");
        }
    }
};

getUserId();
