<?php

/**
 * Plugin Name: Disable Fullscreen and Welcome Guide
 * Description: When a new user opens the Guteberg editor for the first time, the editor will be in fullscreen mode. This plugin disables that feature.
 * Author:      Jelle Tempelman | Commpro
 * Author URI:  https://commpro.nl
 * Version:     1.0.2
 * License:     GPLv2 or later
 * License URI: https://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 * Text Domain: disable-fullscreen-and-welcome-guide
 */

// Exit if accessed directly.
if (! defined('ABSPATH')) {
    exit;
}

class Commpro_stop_fullscreen
{
    public static function init()
    {
        add_action("admin_enqueue_scripts", [self::class, 'load_script']);
    }

    public static function load_script()
    {
        wp_enqueue_script('disable-auto-intro', plugin_dir_url(__FILE__) . 'disable-auto-intro.js', ['wp-edit-post'], '1.0.0', true);
    }
}

Commpro_stop_fullscreen::init();
